Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047280
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-06-29 13:582021-08-11 11:29
ReportermaiteView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047280: Change Payments info wrongly calculated

DescriptionPayment related to a ticket of a total 0 is considered as "change payment". However, when a product of lower price is added and paid in SCO mode, the change payments section is still calculated with the original's product price (instead of the real change amount)
Steps To Reproduce1. Add any product to the ticket, for example with price 8.95
2. Add payment in Cash
3. Delete line, so the ticket's total is 0 but the payment is still there in ChangePayments section (OB.MobileApp.model.receipt.attributes.changePayments) with amount of 8.95
4. Go to SCO mode
5. Add another product with price 0.16. Pay the ticket in SCO and finish. The ticket will be paid with the payment of 8.95 already existent. But check the JSON and realize that "changePayments" section is calculated as 8.95 (when it should be 8.79)

However, if you repeat steps 4 and 5 in normal mode (not SCO mode) and checks the JSON you can see that "changePayments" section is correctly calculated as 8.79
TagsNo tags attached.
Attached Filespatch file icon 0001-Fixed-BUG-47280-Recalculated-Change-Payments-info-wr.patch [^] (1,723 bytes) 2021-07-31 09:39 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0046862 closedrqueralta Payment not correctly removed when it has been considered as "change payment" 

-  Notes
(0131060)
marvintm (developer)
2021-08-11 11:29

The problem affects a custom module, the patch can be used to solve it.

- Issue History
Date Modified Username Field Change
2021-06-29 13:58 maite New Issue
2021-06-29 13:58 maite Assigned To => Retail
2021-06-29 13:58 maite Resolution time => 1626732000
2021-06-29 13:58 maite Triggers an Emergency Pack => No
2021-06-29 14:02 maite Relationship added related to 0046862
2021-07-07 17:48 rqueralta Assigned To Retail => rqueralta
2021-07-07 17:48 rqueralta Status new => scheduled
2021-07-23 12:47 adrianromero Status scheduled => resolved
2021-07-23 12:47 adrianromero Resolution open => fixed
2021-07-23 17:12 rqueralta File Added: 0001-Fixed-BUG-47280-Recalculated-Change-Payments-info-wr.patch
2021-07-31 09:39 rqueralta File Deleted: 0001-Fixed-BUG-47280-Recalculated-Change-Payments-info-wr.patch
2021-07-31 09:39 rqueralta File Added: 0001-Fixed-BUG-47280-Recalculated-Change-Payments-info-wr.patch
2021-08-11 11:29 marvintm Review Assigned To => marvintm
2021-08-11 11:29 marvintm Note Added: 0131060
2021-08-11 11:29 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker